Bug 705279 - SELinux is preventing /usr/bin/who from 'read' accesses on the file utmp.
Summary: SELinux is preventing /usr/bin/who from 'read' accesses on the file utmp.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:4f2f54aae55...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-17 09:05 UTC by Flóki Pálsson
Modified: 2011-12-04 02:33 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.9.16-48.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-04 02:33:18 UTC


Attachments (Terms of Use)

Description Flóki Pálsson 2011-05-17 09:05:28 UTC
SELinux is preventing /usr/bin/who from 'read' accesses on the file utmp.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that who should be allowed read access on the utmp file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep who /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:fsdaemon_t:s0
Target Context                system_u:object_r:initrc_var_run_t:s0
Target Objects                utmp [ file ]
Source                        who
Source Path                   /usr/bin/who
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           coreutils-8.10-2.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-23.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38.6-26.rc1.fc15.x86_64 #1 SMP
                              Mon May 9 20:45:15 UTC 2011 x86_64 x86_64
Alert Count                   5
First Seen                    þri 17.maí 2011, 09:04:04 GMT
Last Seen                     þri 17.maí 2011, 09:04:19 GMT
Local ID                      fd962981-6254-4d80-9ba0-dd9fb3bba594

Raw Audit Messages
type=AVC msg=audit(1305623059.473:88): avc:  denied  { read } for  pid=2286 comm="who" name="utmp" dev=tmpfs ino=13437 scontext=system_u:system_r:fsdaemon_t:s0 tcontext=system_u:object_r:initrc_var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1305623059.473:88): arch=x86_64 syscall=open success=no exit=EACCES a0=7f73fa88cd25 a1=80000 a2=7f73fa88cd25 a3=7fffad4e8720 items=0 ppid=2285 pid=2286 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=who exe=/usr/bin/who subj=system_u:system_r:fsdaemon_t:s0 key=(null)

Hash: who,fsdaemon_t,initrc_var_run_t,file,read

audit2allow

#============= fsdaemon_t ==============
allow fsdaemon_t initrc_var_run_t:file read;

audit2allow -R

#============= fsdaemon_t ==============
allow fsdaemon_t initrc_var_run_t:file read;

Comment 1 Miroslav Grepl 2011-05-17 12:35:38 UTC
Fixed in elinux-policy-3.9.16-24.fc15

Comment 2 Fedora Update System 2011-05-17 16:12:41 UTC
selinux-policy-3.9.16-24.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-24.fc15

Comment 3 Fedora Update System 2011-05-18 18:41:24 UTC
Package selinux-policy-3.9.16-24.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-24.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-24.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-05-25 03:29:43 UTC
selinux-policy-3.9.16-24.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Seth D. Alford 2011-09-24 20:43:41 UTC
I'm still seeing this bug with a later selinux policy revision.  Below is a warning I got today.  I think that these are happening every time procmail tries to process an incoming email.

----SE Troubleshoot Details Window contents follow----
SELinux is preventing /usr/bin/who from read access on the file utmp.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that who should be allowed read access on the utmp file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep who /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:procmail_t:s0
Target Context                system_u:object_r:initrc_var_run_t:s0
Target Objects                utmp [ file ]
Source                        who
Source Path                   /usr/bin/who
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           coreutils-8.10-2.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-38.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.40.4-5.fc15.x86_64
                              #1 SMP Tue Aug 30 14:38:32 UTC 2011 x86_64 x86_64
Alert Count                   660
First Seen                    Sun 11 Sep 2011 11:31:38 PM PDT
Last Seen                     Sat 24 Sep 2011 01:12:50 PM PDT
Local ID                      bc98ff1b-5f8f-40fd-b997-8e249e1ae524

Raw Audit Messages
type=AVC msg=audit(1316895170.570:1895): avc:  denied  { read } for  pid=50497 comm="who" name="utmp" dev=tmpfs ino=15566 scontext=system_u:system_r:procmail_t:s0 tcontext=system_u:object_r:initrc_var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1316895170.570:1895): arch=x86_64 syscall=open success=no exit=EACCES a0=340675b927 a1=80000 a2=340675b927 a3=6 items=0 ppid=50496 pid=50497 auid=4294967295 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=4294967295 comm=who exe=/usr/bin/who subj=system_u:system_r:procmail_t:s0 key=(null)

Hash: who,procmail_t,initrc_var_run_t,file,read

audit2allow

#============= procmail_t ==============
allow procmail_t initrc_var_run_t:file read;

audit2allow -R

#============= procmail_t ==============
allow procmail_t initrc_var_run_t:file read;

Comment 6 Miroslav Grepl 2011-09-26 08:50:16 UTC
Fixed in selinux-policy-3.9.16-41.fc15

Comment 7 Fedora Update System 2011-11-16 16:15:09 UTC
selinux-policy-3.9.16-48.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-48.fc15

Comment 8 Fedora Update System 2011-11-17 23:33:50 UTC
Package selinux-policy-3.9.16-48.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-48.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16023/selinux-policy-3.9.16-48.fc15
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-12-04 02:33:18 UTC
selinux-policy-3.9.16-48.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.